> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> This API lists the webhooks of the workspace. The secret is never returned.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/webhooks.yaml GET /webhooks
openapi: 3.0.3
info:
  title: NeetoKB Webhooks API
  description: >-
    APIs to manage the webhooks of a workspace. For CLI sessions, every webhook
    endpoint, reads included, needs the Manage webhooks permission.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhooks
      description: >-
        This API lists the webhooks of the workspace. The secret is never
        returned.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhooks:
                    type: array
                    items:
                      $ref: '#/components/schemas/webhook'
                  pagination:
                    $ref: '#/components/schemas/pagination'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '403':
          $ref: '#/components/responses/forbidden_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    page_number_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. Defaults to 1 when
        omitted.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted.
      required: false
      schema:
        type: integer
  schemas:
    webhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
        sid:
          type: string
          example: abc
        endpoint:
          type: string
          example: https://example.com/hook
        is_active:
          type: boolean
        version:
          type: string
          example: v1
        version_expired:
          type: boolean
        version_deprecated:
          type: boolean
        events:
          type: array
          items:
            $ref: '#/components/schemas/webhook_event'
    pagination:
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        current_page_number:
          type: integer
        page_size:
          type: integer
    webhook_event:
      type: string
      enum:
        - create
        - update
        - delete
        - publish
        - unpublish
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    forbidden_response:
      description: >-
        Forbidden - The CLI session does not have the permission this change
        needs

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.